List Paths
import requests
url = "https://api.diga.io/v1/path/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diga.io/v1/path/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.diga.io/v1/path/ \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.diga.io/v1/path/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"nodes": [
{
"name": "<string>",
"node_type": "start",
"branches": [],
"pos_x": 123,
"pos_y": 123,
"is_global": false,
"global_condition": "<string>",
"wait_user": false,
"time_before_start": 123
}
],
"description": "<string>",
"global_prompt": "<string>",
"validation_issues": [
{
"message_code": "<string>",
"message": "<string>",
"params": {}
}
]
}
],
"has_more": true,
"first_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_page": 123,
"total_pages": 123
}{
"status": "error",
"error_code": "BAD_PARAMETER",
"message": "Invalid parameter value provided"
}{
"status": "error",
"error_code": "INTERNAL_SERVER_ERROR",
"message": "Missing required permissions"
}{
"status": "error",
"error_code": "INVALID_PAGINATION_PARAMETERS",
"message": "Cannot specify both 'before' and 'after' parameters"
}{
"status": "error",
"error_code": "INTERNAL_SERVER_ERROR",
"message": "Error: Internal Server Error"
}Conversational Paths
List Paths
Retrieve information about
GET
/
v1
/
path
/
List Paths
import requests
url = "https://api.diga.io/v1/path/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diga.io/v1/path/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.diga.io/v1/path/ \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.diga.io/v1/path/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"nodes": [
{
"name": "<string>",
"node_type": "start",
"branches": [],
"pos_x": 123,
"pos_y": 123,
"is_global": false,
"global_condition": "<string>",
"wait_user": false,
"time_before_start": 123
}
],
"description": "<string>",
"global_prompt": "<string>",
"validation_issues": [
{
"message_code": "<string>",
"message": "<string>",
"params": {}
}
]
}
],
"has_more": true,
"first_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_page": 123,
"total_pages": 123
}{
"status": "error",
"error_code": "BAD_PARAMETER",
"message": "Invalid parameter value provided"
}{
"status": "error",
"error_code": "INTERNAL_SERVER_ERROR",
"message": "Missing required permissions"
}{
"status": "error",
"error_code": "INVALID_PAGINATION_PARAMETERS",
"message": "Cannot specify both 'before' and 'after' parameters"
}{
"status": "error",
"error_code": "INTERNAL_SERVER_ERROR",
"message": "Error: Internal Server Error"
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de consulta
Rango requerido:
x >= 1Rango requerido:
1 <= x <= 50Opciones disponibles:
asc, desc ⌘I

